petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSRegister

Adds a creation method to the TS package.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSRegister(const char sname[], PetscErrorCode (*function)(TS))

Not Collective Many br

### Input Parameters

| name | - The name of a new user-defined creation routine Many br
| create_func | - The creation routine itself Many br

### Notes

TSRegister() may be called multiple times to add several user-defined tses. Many br

### Sample usage

      TSRegister("my_ts",  MyTSCreate);

Many br

Then, your ts type can be chosen with the procedural interface via Many br

        TS ts;
        TSCreate(MPI_Comm, &ts);
        TSSetType(ts, "my_ts")

Many bror at runtime via the option Many br

        -ts_type my_ts

Many br

Many br

### Keywords

TS, register

### See Also

TSRegisterAll(), TSRegisterDestroy()

Level:advanced
Location:src/ts/interface/tsreg.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages